const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("userlabour", {
    user_id: DataTypes.INTEGER,
    labour_id: DataTypes.INTEGER,
    recruit_id: DataTypes.INTEGER,
    labour_user_id: DataTypes.INTEGER,
    ecid: DataTypes.INTEGER,
    apply_stauts: DataTypes.INTEGER,
    interview_time: DataTypes.DATE,
    sign_at: DataTypes.DATE,
    contract_url: DataTypes.STRING(300),
    nation: DataTypes.INTEGER,
    marital_status: DataTypes.INTEGER,
    is_children : DataTypes.INTEGER,
    opening_bank: DataTypes.INTEGER,
    education_back: DataTypes.INTEGER,
    graduate_ins: DataTypes.INTEGER,
    place_domicile: DataTypes.INTEGER,
    current_residence: DataTypes.INTEGER,
    urgency_person: DataTypes.INTEGER,
    contact_way: DataTypes.INTEGER,
    name : DataTypes.STRING,
    id_no : DataTypes.STRING,
    card_no : DataTypes.STRING,
    sex : DataTypes.STRING,
    age : DataTypes.STRING,
    birthday : DataTypes.STRING
  }, {
    paranoid: true,//假的删除
    underscored: true,
    version: false,
    freezeTableName: true,
    //freezeTableName: true,
    // define the table's name
    tableName: 'user_labour',
    validate: {},
    indexes: [
      // Create a unique index on email
      //  {
      //    unique: true,
      //    fields: ['email']
      //  },
      //
      //  // Creates a gin index on data with the jsonb_path_ops operator
      //  {
      //    fields: ['data'],
      //    using: 'gin',
      //    operator: 'jsonb_path_ops'
      //  },
      //
      //  // By default index name will be [table]_[fields]
      //  // Creates a multi column partial index
      //  {
      //    name: 'public_by_author',
      //    fields: ['author', 'status'],
      //    where: {
      //      status: 'public'
      //    }
      //  },
      //
      //  // A BTREE index with a ordered field
      //  {
      //    name: 'title_index',
      //    method: 'BTREE',
      //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
      //  }
    ]
  });
}
